<?php
/*
   Plugin - PlogHaiku
   Copyright (C) 2005 Darren Greer
                                                                                   
   This library is free software; you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation; either version 2.1 of the License, or
   (at your option) any later version.
   */


include_once(PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php");
include_once(PLOG_CLASS_PATH."class/data/pager/pager.class.php");

define("HAIKU_PER_PAGE",50);

class ManageHaikuView extends AdminPluginTemplatedView
{
  var $_totalViewable;
  var $_actionLink;
  var $_page;

  function ManageHaikuView($blogInfo,$page,$totalHaiku,$action)
  {
    $this->AdminPluginTemplatedView($blogInfo,"ploghaiku","managehaikuview");
    $this->_totalViewable = $totalHaiku;
    $this->_page = $page;
    $this->_actionLink = $action;
  }
  function render()
  {
    $pager = new Pager( "?op=". $this->_actionLink ."&amp;".
        VIEW_DEFAULT_PAGE_PARAMETER ."=", $this->_page,
        $this->_totalViewable, HAIKU_PER_PAGE);

    $this->setValue("pager",$pager);

    parent::render();
  }
}

?>
